Issue 93995 - Enhancement: XSimpleMailMessage.setBody( string body )
Enhancement: XSimpleMailMessage.setBody( string body )
Status: RESOLVED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
All All
: P3 trivial
: 4.0.0
Assigned To: Ariel Constenla-Haile
issues@api
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 17:11 UTC by chhaprahiya
Modified: 2013-07-11 09:06 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description chhaprahiya 2008-09-17 17:11:32 UTC
Enhance the XSimpleMailMessage interface to have the following method: setBody(
string body )

This would allow a user to compose a plain text email from OOBasic from any
OpenOffice application using the default email client. Currently only
attachments are supported, but not plain text emails. Plain text emails are a
very common use case and should be supported. (Microsoft Basic/Outlook supports
plain text emails.)
Comment 1 jsc 2008-09-18 10:33:19 UTC
the problem is that we can't change published API's. We have to introduce a new
interface or  a XSimpleMailMessage2. And a further problem is that this request
has no high prio and many other things have to be done first.  
Comment 2 whiteice 2012-10-13 10:58:24 UTC
This request has been done a long time ago and it seems that the method setBody(body as string) has not been implemented yet. 

Could you implement this method or give another way to attach documents, change body and recipient of an Email.

Thank you for your answer.
Comment 3 Ariel Constenla-Haile 2012-10-13 11:37:44 UTC
(In reply to comment #2)
> This request has been done a long time ago and it seems that the method
> setBody(body as string) has not been implemented yet. 
> 
> Could you implement this method or give another way to attach documents,
> change body and recipient of an Email.
> 
> Thank you for your answer.

you can use the more complete com::sun:.star::mail API
You can find some examples on the attachments to
bug 118791
bug 118736
bug 118814

In case of doubts, there is a dedicated mailing list: ooo-api@incubator.apache.org
Comment 4 SVN Robot 2012-10-16 21:28:46 UTC
"arielch" committed SVN revision 1398997 into trunk:
#i93995# - Allow setting Body of a simple mail message
Comment 5 Ariel Constenla-Haile 2012-10-16 21:33:41 UTC
Fixed on trunk.
Verify with the macro in attachment 79785 [details]
Comment 6 whiteice 2013-01-15 10:20:43 UTC
Hello, 

I've just tried the attachment https://issues.apache.org/ooo/attachment.cgi?id=79785 and I didn't manage to make work the method Body or setBody. 

Is it possible to set a body for a mail with this macro ?

Thank you.
Comment 7 Ariel Constenla-Haile 2013-01-15 10:47:48 UTC
(In reply to comment #6)
> Hello, 
> 
> I've just tried the attachment
> https://issues.apache.org/ooo/attachment.cgi?id=79785 and I didn't manage to
> make work the method Body or setBody. 
> 
> Is it possible to set a body for a mail with this macro ?

The fix for this patch was applied on the development version, you won't find it in any released version (currently the latest 3.4.1 does not have this fix).

For the next release, OpenOffice 4.0, the system mail API has changed (hopefully for the better), you can track bug 121579
Comment 8 hdu@apache.org 2013-07-11 09:06:00 UTC
Updated target to release that will contain the fix.